#include <iostream>

using namespace std;



int main(int argc, char** argv) {
	string broj;
	int s=0;
	cin>>broj;
	for(int i=0;i<broj.length();i++){
		int c=broj[i]-'0';
		if(c>7) s+=3;
		else if(c==3 or c==6 or c==7 or c==4) s+=2;
		else if(c==0) s+=0;
		else s++;
	}
	cout<<s;
	return 0;
}